Bug 1409660 (lxqt-build-tools) - Review Request: lxqt-build-tools - Packaging tools for LXQt
Summary: Review Request: lxqt-build-tools - Packaging tools for LXQt
Keywords:
Status: CLOSED ERRATA
Alias: lxqt-build-tools
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2017-01-02 21:16 UTC by Christian Dersch
Modified: 2017-01-31 18:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 18:17:52 UTC
besser82: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2017-01-02 21:16:14 UTC
Spec URL: http://lupinix.fedorapeople.org//lxqt-build-tools.spec
SRPM URL: http://lupinix.fedorapeople.org//lxqt-build-tools-0.3.1-1.fc25.src.rpm

Description:
Various packaging tools and scripts for LXQt applications.

Comment 1 Christian Dersch 2017-01-02 21:16:19 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=17151507

Comment 2 Christian Dersch 2017-01-02 21:36:20 UTC
FYI: You'll get the following rpmlint report:

Rpmlint
-------
Checking: lxqt-build-tools-0.3.1-1.fc26.x86_64.rpm
          lxqt-build-tools-0.3.1-1.fc26.src.rpm
lxqt-build-tools.x86_64: E: no-binary
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

This is a false positive as our package doesn't contain any binaries by construction. We have to be arch-depending here due to the arch'd cmake files the package provides.

Comment 3 Christian Dersch 2017-01-03 14:39:03 UTC
Made some minor adjustments in place, new scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17157085

Comment 4 Christian Dersch 2017-01-03 14:47:45 UTC
Another fix in place: https://koji.fedoraproject.org/koji/taskinfo?taskID=17157212

Comment 5 Björn 'besser82' Esser 2017-01-05 20:36:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

  ---> This is outdated.  gcc-c++ is mandatory by guidelines since Fedora 25.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "*No copyright* BSD (3 clause)", "Unknown or
     generated", "BSD (2 clause)". 19 files have unknown license. Detailed
     output of licensecheck in
     /home/besser82/vm_shared/fedora/review/1409660-lxqt-build-
     tools/licensecheck.txt

     ---> License-tag is fine.

[-]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.

     ---> One could argue about what size is meant by 'large'…  I think it's fine this way.

[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lxqt-build-tools-0.3.1-1.fc26.x86_64.rpm
          lxqt-build-tools-0.3.1-1.fc26.src.rpm
lxqt-build-tools.x86_64: E: no-binary
lxqt-build-tools.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

---> Pretty fine for CMake-files.



Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
lxqt-build-tools.x86_64: E: no-binary
lxqt-build-tools.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

---> As above.


Requires
--------
lxqt-build-tools (rpmlib, GLIBC filtered):
    cmake



Provides
--------
lxqt-build-tools:
    cmake(lxqt-build-tools)
    lxqt-build-tools
    lxqt-build-tools(x86-64)



Source checksums
----------------
https://downloads.lxqt.org/lxqt-build-tools/0.3.1/lxqt-build-tools-0.3.1.tar.xz :
  CHECKSUM(SHA256) this package     : 6c16bed977d78eea85f43ac1c82aa00065c739268a12c721d1bf3089933ff840
  CHECKSUM(SHA256) upstream package : 6c16bed977d78eea85f43ac1c82aa00065c739268a12c721d1bf3089933ff840


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1409660
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package approved!!!  Have fun.  =)

Comment 6 Gwyn Ciesla 2017-01-05 22:40:17 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lxqt-build-tools

Comment 7 Fedora Update System 2017-01-05 23:34:28 UTC
lxqt-build-tools-0.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff42fd851e

Comment 8 Fedora Update System 2017-01-05 23:34:35 UTC
lxqt-build-tools-0.3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fad6f3d6a0

Comment 9 Fedora Update System 2017-01-05 23:34:40 UTC
lxqt-build-tools-0.3.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cec9364a10

Comment 10 Fedora Update System 2017-01-06 23:20:39 UTC
lxqt-build-tools-0.3.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cec9364a10

Comment 11 Fedora Update System 2017-01-07 00:48:21 UTC
lxqt-build-tools-0.3.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fad6f3d6a0

Comment 12 Fedora Update System 2017-01-07 01:18:43 UTC
lxqt-build-tools-0.3.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff42fd851e

Comment 13 Raphael Groner 2017-01-07 16:43:13 UTC
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

  ---> This is outdated.  gcc-c++ is mandatory by guidelines since Fedora 25.

=======> Someone should really file a bug to fedora-review upstream. That'll hit us for a bunch of new package reviews.

Comment 14 Fedora Update System 2017-01-14 03:50:49 UTC
lxqt-build-tools-0.3.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-15 09:21:51 UTC
lxqt-build-tools-0.3.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-15 11:41:47 UTC
lxqt-build-tools-0.3.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fad6f3d6a0

Comment 17 Fedora Update System 2017-01-16 21:21:30 UTC
lxqt-build-tools-0.3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fad6f3d6a0

Comment 18 Fedora Update System 2017-01-31 18:17:52 UTC
lxqt-build-tools-0.3.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.